#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run botje with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='botje',
    version='31',
    url='https://pikacode.com/milla/botje',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='xmpp, irc, shell, cli, json - email at milla@dds.nl',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural", "feedparser", ],
    scripts=["bin/botje", "bin/outje", "bin/sedje", ],
    packages=['bot', 
              'bot.plugs',
             ],
    long_description = """ THE PEACE DEPARTEMENT

god - koning - wet - maatschappij - burger - schuld - hel of hemel.

Boedha: "there is suffering" 
Me: "there is ignored suffering" 
Them: "there is no ignored suffering" 
Us: "who makes the need for denial of ignored suffering?" 
We: "lets remove the need for suffering by removing the denial of ignored suffering" 
Rest: "wait .. lets do that ourselves, cause all you do is talk and let your words be" 
World: "there is no more ignored suffering" 
More Rest: "what has been denied is no more deniable" 
Void and Peace: "sure been waiting for this for a looooong time" 
Nobody: "still suffering" 
Nomore: "end of book." 
Bartholomeus: "i thought we we're talking multiple books"

Sat Aug 3 13:27:51 CEST 2013
Mon Mar 17 21:19:31 CET 2014

""",
    data_files=[('docs', ["docs/zoishet", "docs/lanes", "docs/story", "docs/fases"]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
